## gpewindowlist

gpewindowlist —

## Synopsis

    #define     GPE_WINDOW_LIST_CONST           (obj)
                GPEWindowList;
                GPEWindowListClass;
    GObject*    gpe_window_list_new             (GdkScreen*);
    GList*      gpe_window_list_get_clients     (GPEWindowList*);
    gboolean    gpe_get_client_window_list      (Display *dpy,
                                                 Window **list,
                                                 guint *nr);
    gchar*      gpe_get_window_name             (Display *dpy,
                                                 Window w);
    GdkPixbuf*  gpe_get_window_icon             (Display *dpy,
                                                 Window w);
    gboolean    gpe_get_wm_class                (Display *dpy,
                                                 Window w,
                                                 gchar **instance,
                                                 gchar **class);
    Atom        gpe_get_window_property         (Display *dpy,
                                                 Window w,
                                                 Atom property);
    Window      gpe_get_wm_leader               (Display *dpy,
                                                 Window w);

## Description

## Details

### GPE_WINDOW_LIST_CONST()

    #define GPE_WINDOW_LIST_CONST(obj)	G_TYPE_CHECK_INSTANCE_CAST ((obj), gpe_window_list_get_type(), GPEWindowList const)

`obj` : |

### GPEWindowList

    typedef struct {
      GObject class;

      GdkScreen *screen;
      Atom net_client_list_atom;
      Atom net_active_window_atom;

      GList *windows;
    } GPEWindowList;

### GPEWindowListClass

    typedef struct _GPEWindowListClass GPEWindowListClass;

### gpe_window_list_new ()

    GObject*    gpe_window_list_new             (GdkScreen*);

`Param1` : |
Returns : |

### gpe_window_list_get_clients ()

    GList*      gpe_window_list_get_clients     (GPEWindowList*);

`Param1` : |
Returns : |

### gpe_get_client_window_list ()

    gboolean    gpe_get_client_window_list      (Display *dpy,
                                                 Window **list,
                                                 guint *nr);

`dpy` : |
`list` : |
`nr` : |
Returns : |

### gpe_get_window_name ()

    gchar*      gpe_get_window_name             (Display *dpy,
                                                 Window w);

`dpy` : |
`w` : |
Returns : |

### gpe_get_window_icon ()

    GdkPixbuf*  gpe_get_window_icon             (Display *dpy,
                                                 Window w);

`dpy` : |
`w` : |
Returns : |

### gpe_get_wm_class ()

    gboolean    gpe_get_wm_class                (Display *dpy,
                                                 Window w,
                                                 gchar **instance,
                                                 gchar **class);

`dpy` : |
`w` : |
`instance` : |
`class` : |
Returns : |

### gpe_get_window_property ()

    Atom        gpe_get_window_property         (Display *dpy,
                                                 Window w,
                                                 Atom property);

`dpy` : |
`w` : |
`property` : |
Returns : |

### gpe_get_wm_leader ()

    Window      gpe_get_wm_leader               (Display *dpy,
                                                 Window w);

`dpy` : |
`w` : |
Returns : |